Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.advisor
Interface Advisor

All Known Subinterfaces:
  EjbAdvisor

    public interface Advisor

An Advisor makes recommendations when provided with an advice request. The Advisor subsystem is designed to isolate clients from implementations that provide the advice required.

Method Summary
`Advice` | `getAdvice(AdviceRequest request)` Get recommendations based on the request submitted.
`Advice` | `getAdvice(String uri)` Get recommendations based on the uri submitted.

Method Detail

### getAdvice

    Advice getAdvice(AdviceRequest request)
                     throws IllegalArgumentException,
                            RemoteException,
                            AdvisorException

  Get recommendations based on the request submitted. AdviceRequest objects should be obtained from the AdvisorFactory class.

  Parameters
    `request` - Request for advice.
  Returns
    The recommendations as an AdviceResults object.
  Throws
    `IllegalArgumentException` - thrown if request is null.
    `AdvisorException` - thrown on an error processing request.
    `RemoteException`

### getAdvice

    Advice getAdvice(String uri)
                     throws IllegalArgumentException,
                            RemoteException,
                            AdvisorException

  Get recommendations based on the uri submitted. Requests made using this method will not provide the associated Advislet with access to their session data.

  Parameters
    `uri` - Request for advice.
  Returns
    The recommendations as an AdviceResults object.
  Throws
    `IllegalArgumentException` - thrown if request is null.
    `AdvisorException` - thrown on an error processing request.
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved